#2768 closed defect (fixed)

untar does not keep permissions correctly.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

On disk I have 'x' with:

$ ls -las x
4 -rwxr-xr-x  1 chris  caeng  48 Jul 14 11:46 x

the tar file shows:

$ tar tvf rootfs.tar 
-rwxr-xr-x  0 chris  caeng      48 Jul 14 11:46 x

and in the IMFS it shows:

[/] # ls -las x
0 -rw-r--r--  1 root  root  48 Jan  1 00:00 x

The makes adding 'joel' scripts difficult.

Change History (3)

comment:1 Changed on Aug 9, 2016 at 7:24:19 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: newclosed

In b0f08c83e23e69c7b19b04d38910f90b5f7af51b/rtems:

libmisc/untar: Set the perms to the value in the tar file.

This patch parses the mode field in the tar header and sets the
directory or file to the mode value in the header.

Closes #2768.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.